package com.zcloud.basic.info.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.basic.info.dto.UserCorpAddCmd;
import com.zcloud.basic.info.dto.UserCorpPageQry;
import com.zcloud.basic.info.dto.UserCorpUpdateCmd;
import com.zcloud.basic.info.dto.clientobject.UserCorpCO;

/**
 * web-client
 *
 * @Author zhaokai
 * @Date 2025-12-02 11:19:34
 */
public interface UserCorpServiceI {
    PageResponse<UserCorpCO> listPage(UserCorpPageQry qry);

    SingleResponse<UserCorpCO> add(UserCorpAddCmd cmd);

    void edit(UserCorpUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}

